#! /usr/bin/env python

from lightflowPM import *
from math import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 4.0, -5.0, 4.0 ), "color", vector3( 250.0, 250.0, 250.0 ) ] ) )
s.lightOn( s.newLight( "point", [ "position", vector3( -6.0, -3.0, -4.0 ), "color", vector3( 80.0, 0.0, 0.0 ) ] ) )


map = s.newPattern( "map",
		     [ "texture", s.newTexture( "../Textures/hnytxt.tga" ),
		       "scale", 0.5,
		       "rotation", 0.2,
		       "frame-color", vector3( 0.5, 0.8, 1.0 ),
		       "frame-scale", 0.7,
		       "frame-offset", vector2( 0.15, 0.15 ),
		       "frame-rotation", pi/4.0 ] )

plastic = s.newMaterial( "standard",
			 [ "kc", vector3( 0.8, 0.8, 0.8 ),
			   "kd", 0.7,
			   "km", 0.1,
			   "kc", map ] )

s.materialBegin( plastic )

s.addObject( s.newObject( "patch",
			  [ "points",
			    vector3( -1, 0,  1 ), vector3( 1, 0,  1 ),
			    vector3( -1, 0, -1 ), vector3( 1, 0, -1 ),
			    "texture",
			    vector2(0.0, 0.0), vector2(1.0, 0.0),
			    vector2(0.0, 1.0), vector2(1.0, 1.0) ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "map.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( -0.625, -2.5, 0 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
