#! /usr/bin/env python

from lightflowPM import *
from math import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 4.0, -5.0, 4.0 ), "color", vector3( 250.0, 250.0, 250.0 ) ] ) )
s.lightOn( s.newLight( "point", [ "position", vector3( -6.0, -3.0, -4.0 ), "color", vector3( 80.0, 0.0, 0.0 ) ] ) )

wood = s.newPattern( "wood",
		     [ "color",
		       1.0, vector3( 1.0, 0.85, 0.7 ), vector3( 1.0, 0.85, 0.7 ),
		       0.0, vector3( 0.8, 0.60, 0.4 ), vector3( 0.8, 0.60, 0.4 ),
		       "scale", 0.15,
		       "turbulence.amount", 0.5,
		       "turbulence.frequency", 2.0,
		       "turbulence.octaves", 1 ] )

plastic = s.newMaterial( "standard",
			 [ "kc", vector3( 0.8, 0.8, 0.8 ),
			   "kd", 0.7,
			   "km", 0.1,
			   "kc", wood ] )

s.materialBegin( plastic )

s.addObject( s.newObject( "sphere", [ "radius", 1.0 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "wood1.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( -1, -4, 0 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
