#! /usr/bin/env python

from lightflowPM import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, 5.0, 4.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )


marble = s.newPattern( "marble",
		       [ "value",
			 0.0, 0.0, 0.0,
			 1.0, 1.0, 1.0,
			 "scale", 0.4 ] )

color1 = s.newPattern( "marble",
		       [ "color",
			 0.0, vector3( 0.3, 0.3, 1.0 ), vector3( 0.3, 0.3, 1.0 ),
			 1.0, vector3( 1.0, 0.3, 1.0 ), vector3( 1.0, 0.3, 1.0 ),
			 "scale", 0.4 ] )

color2 = s.newPattern( "blotches",
		       [ "color",
			 0.0, vector3( 1.0, 0.3, 0.3 ), vector3( 1.0, 0.3, 0.3 ),
			 1.0, vector3( 1.0, 1.0, 0.3 ), vector3( 1.0, 1.0, 0.3 ),
			 "scale", 0.4 ] )

color3 = s.newPattern( "agate",
		       [ "color",
			 0.0, vector3( 0.3, 1.0, 0.3 ), vector3( 0.3, 1.0, 0.3 ),
			 1.0, vector3( 0.3, 1.0, 1.0 ), vector3( 0.3, 1.0, 1.0 ),
			 "scale", 0.4 ] )

ellipsoid = s.newPattern( "directional-ellipsoid",
			  [ "value", 0.01, 0.1, 0.0,
			    "alpha", 2.0,
			    "alpha", marble,
			    "color", vector3( 1, 1, 1 ), vector3( 1, 1, 1 ), vector3( 1, 1, 1 ),
			    "color", color1, color2, color3 ] )

anisotropic = s.newMaterial( "generic",
			     [ "ka", vector3( 0, 0, 0 ),
			       "kdr", vector3( 0.8, 0.8, 0.8 ),
			       "kdr", ellipsoid,
			       "ksr", vector3( 1.0, 1.0, 1.0 ),
			       "ksr", ellipsoid,
			       "km", 1.0,
			       "km", ellipsoid,
			       "shinyness", 1.0 ] )


s.materialBegin( anisotropic )

s.transformBegin( transform().scaling( vector3(1, 1, 0.15) ) )

s.addObject( s.newObject( "sphere", [ "radius", 2.0, "region", 0.0, 0.0, 1.0, 0.5 ] ) )

s.transformEnd()

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "anisotropic4.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 3 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
