#! /usr/bin/env python

from lightflowPM import *

s = scene()

s.lightOn( s.newLight( "soft",
		       [ "position", vector3( 5.0, -5.0, 5.0 ),
			 "color", vector3( 300.0, 300.0, 300.0 ) ] ) )

bump = s.newPattern( "crackle",
		     [ "depth",
		       0.00, 0.0, 0.0,
		       0.80, 1.0, 1.0,
		       "scale", 1.00, # also 0.5 works well
		       "depth", 0.40,
		       "turbulence.amount", 0.3 ] )

geomview = s.newMaterial( "geom-view", [ "displacement", bump ] )

s.materialBegin( geomview )

sphere = s.newObject( "sphere",
		     [ "radius", 1.3 ] )

s.addObject( s.newObject( "surface-engine",
			  [ "surfaces", sphere,
			    "tolerance", 0.01, 0.1, 0.05,
			    "caching", 8192 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "geomview2.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 3 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
