#! /usr/bin/env python

from lightflowPM import *

s = scene()

s.lightOn( s.newLight( "point", [ "position", vector3( 5.0, -5.0, 1.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )
s.lightOn( s.newLight( "point", [ "position", vector3( -5.0, 1.0, 2.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )

plastic = s.newMaterial( "standard",
			 [ "kc", vector3( 0, 0, 0 ),
			   "kr", vector3( 0.5, 0.5, 0.5 ),
			   "kd", 0.0, "km", 0.1 ] )

glitter = s.newMaterial( "standard",
			 [ "fresnel", 1,
			   "IOR", 3.0,
			   "ka", vector3( 0, 0, 0.5 ),
			   "kc", vector3( 1, 0.5, 0.5 ),
			   "kd", 0.5,
			   "km", 0.1,
			   "ksg", 0.9999,
			   "shinyness", 1.0,
			   "glitter", 1 ] )



s.transformBegin( transform().translation( vector3( 0, 0, -1.0 ) ) )

s.materialBegin( plastic )

s.addObject( s.newObject( "disc", [ "radius", 100.0 ] ) )

s.materialEnd()

s.transformEnd()

s.materialBegin( glitter )

s.addObject( s.newObject( "sphere", [ "radius", 1.0 ] ) )

s.materialEnd()


glitter = s.newImager( "glitter",
		       [ "radius", 0.12,
			 "intensity", 0.005,
			 "threshold", 0.5,
			 "clamping", 1 ] )

saver = s.newImager( "tga-saver", [ "file", "glitter.tga", "imager", glitter ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 2 ), "aim", vector3( 0, 0, -0.3 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
