#! /usr/bin/env python

from lightflowPM import *

s = scene()

for i in range(0, 9) :
    s.transformBegin( transform().rotationAroundZ( 2.0 * 3.141592 * i / 9.0 ) )
    s.transformBegin( transform().translation( vector3( 2, 0, 0 ) ) )

    s.lightOn( s.newLight( "point", [ "position", vector3( 0, 0, 0 ), "color", vector3( 5.0, 5.0, 5.0 ) ] ) )

    s.transformEnd()
    s.transformEnd()


metal = s.newMaterial( "standard",
		       [ "kc", vector3( 1.0, 0.5, 0.6 ),
			 "kd", 0.2,
			 "km", 0.03,
			 "shinyness", 1.0 ] )

s.materialBegin( metal )

s.addObject( s.newObject( "sphere", [ "radius", 1.0 ] ) )

s.materialEnd()


halo  = s.newImager( "halo", [ "kr", 0.5, "km", 0.01, "shininess", 1.0 ] )
saver = s.newImager( "tga-saver",
		     [ "file", "haloes2.tga",
		       "imager", halo ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( 0, -4, 3 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 300, 300 )
