#! /usr/bin/env python

from lightflowPM import *
from math import *
import sys

s = scene()

s.lightOn( s.newLight( "soft", [ "position", vector3( 5.0, -5.0, 5.0 ), "color", vector3( 300.0, 300.0, 300.0 ) ] ) )
s.lightOn( s.newLight( "soft", [ "position", vector3( 2.0, 5.0, 3.0 ), "color", vector3( 200.0, 0.0, 0.0 ) ] ) )


plastic = s.newMaterial( "standard", [ "ka", vector3( 0.2, 0.3, 0.4 ), "kc", vector3( 0.5, 0.8, 1.0 ), "kd", 0.5, "km", 0.1 ] )


s.materialBegin( plastic )

s.addObject( s.newObject( "mesh",
			  [ "file", "meshfile.lfm", 0 ] ) )

s.addObject( s.newObject( "mesh",
			  [ "file", "meshfile.lfm", 1 ] ) )

s.addObject( s.newObject( "mesh",
			  [ "file", "meshfile.lfm", 2 ] ) )

s.addObject( s.newObject( "mesh",
			  [ "file", "meshfile.lfm", 3 ] ) )

s.addObject( s.newObject( "mesh",
			  [ "file", "meshfile.lfm", 4 ] ) )

s.materialEnd()


saver = s.newImager( "tga-saver", [ "file", "meshfile.tga" ] )

s.imagerBegin( saver )

camera = s.newCamera( "pinhole", [ "eye", vector3( -2, -4, 3.5 ), "aim", vector3( 0, 0, 0 ) ] )

s.imagerEnd()

s.render( camera, 400, 400 )
