// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfArgListBlock.h                                                             //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Interface   //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRI-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Jacopo Pantaleoni. All rights reserved.           //
// ============================================================================ //

#ifndef _LfArgListBlock_H
#define _LfArgListBlock_H 1

#include <WWW/LfArgType.h>


class LfAPI_CS LfArgListBlock
{
public:
	LfInt      Size;
	LfArgType* Table;

	LfArgListBlock *Next;

public:
	LfArgListBlock  (LfInt size = 0) : Size( size ), Table(0), Next(0)
	{
		Table = new LfArgType [ Size ];
	}
	LfArgListBlock  (const LfArgListBlock& block ) : Size( block.Size ), Table(0), Next(0)
	{
		Table = new LfArgType [ Size ];

		for (LfInt i=0; i<Size; i++)
			Table[i] = block.Table[i];
	}

	~LfArgListBlock (void) { delete [] Table; }
};


#endif
