// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfBasicMath.h                                                                //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Interface   //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRI-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Marco and Jacopo Pantaleoni. All rights reserved. //
// ============================================================================ //

#ifndef _LfBasicMath_h
#define _LfBasicMath_h 1

#include <WWW/LfBasicTypes.h>

const LfFloat EPSILON = 1e-6;						  // Small number
const LfFloat FTINY   = EPSILON;
const LfFloat FSMALL  = FTINY*10.0;
const LfFloat FHUGE   = 1e10;						  // Big number

#ifndef PI
const LfFloat PI         = 3.14159265358979323846;
#endif

#ifndef INV_PI
const LfFloat INV_PI     = (1.0 / PI);
#endif

#ifndef HALFPI
const LfFloat HALFPI     = (PI / 2.0);
const LfFloat INV_HALFPI = (1.0 / HALFPI);
#endif

#ifndef TWOPI
const LfFloat TWOPI      = (2.0 * PI);
const LfFloat INV_TWOPI  = (1.0 / TWOPI);
#endif

inline LfFloat __LfAbs__   (LfFloat a)            { return ((a < 0.0) ? -a : a); }
inline int     __LfEqual__ (LfFloat a, LfFloat b) { return (__LfAbs__(a - b) < EPSILON); }
inline int     __LfZero__  (LfFloat x)            { return (__LfAbs__(x) < EPSILON); }

#endif /* _LfBasicMath_h */
