// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfBasicTypes.h                                                               //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Interface   //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRI-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Jacopo Pantaleoni. All rights reserved.           //
// ============================================================================ //

#ifndef _LfBasicTypes_H
#define _LfBasicTypes_H 1

#include <WWW/LfDefs.h>

typedef long            LfInt;
typedef unsigned char   LfBool;
typedef unsigned char   LfByte;
typedef unsigned short  LfWord;
typedef double          LfFloat;
typedef char            LfChar;
typedef char*           LfString;
typedef const char*     LfConstString;

class LfArgType;
class LfArgList;

class LfVector2;
class LfVector3;
class LfVector4;
class LfMatrix2;
class LfMatrix3;
class LfMatrix4;
class LfTransform;
class LfNTransform;

class LfError;
class LfMutex;
class LfMutexAttribute;

class LfScene;
class LfSceneProxy;

typedef LfVector2 LfPoint2;
typedef LfVector3 LfPoint3;
typedef LfVector4 LfPoint4;
typedef LfVector3 LfPoint;
typedef LfVector3 LfVector;
typedef LfVector3 LfColor;

LfAPI_CS void LfDefaultErrorHandler(const LfError& error);

#endif
