// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfSceneProxy.h                                                               //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Interface   //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRI-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Jacopo Pantaleoni. All rights reserved.           //
// ============================================================================ //

#ifndef _LfSceneProxy_H
#define _LfSceneProxy_H 1

#include <WWW/LfError.h>
#include <WWW/LfThreadSaver.h>
#include <WWW/LfArgList.h>


class LfAPI_CS LfSceneProxy
{
public:
	LfSceneProxy() {}
	virtual ~LfSceneProxy() {}


// - Entity Constructors and Services ------------------------------------------------------------------------ //
	virtual LfInt  NewCamera        (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewImager        (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewInterface     (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewInterior      (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewLight         (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewMaterial      (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewObject        (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewPattern       (const LfString type, const LfArgList& arglist) { return 0; }
	virtual LfInt  NewTexture       (const LfString name) { return 0; }
	virtual LfInt  NewTrimmer       (const LfString type, const LfArgList& arglist) { return 0; }

	virtual void   ImagerBegin      (LfInt index) {}
	virtual void   ImagerEnd        (void) {}

	virtual void   InteriorBegin    (LfInt index) {}
	virtual void   InteriorEnd      (void) {}

	virtual void   LightOn          (LfInt index) {}
	virtual void   LightOff         (LfInt index) {}
	virtual void   LightBegin       (void) {}
	virtual void   LightEnd         (void) {}

	virtual void   MaterialBegin    (LfInt index) {}
	virtual void   MaterialEnd      (void) {}

	virtual void   AddObject        (LfInt index) {}
// ----------------------------------------------------------------------------------------------------------- //

// - Transform Operators ------------------------------------------------------------------------------------- //
	virtual void   TransformBegin   (LfTransform t) {}
	virtual void   TransformEnd     (void) {}
// ----------------------------------------------------------------------------------------------------------- //

// - Rendering Operators ------------------------------------------------------------------------------------- //
	virtual void   Radiosity (void) {}
	virtual void   Render    (LfInt camera, LfInt w=320, LfInt h=240,
							  LfFloat c1=0, LfFloat r1=0, LfFloat c2=1, LfFloat r2=1) {}
// ----------------------------------------------------------------------------------------------------------- //
};


#endif
