// ============================================================================ //
// Lightflow Rendering Interface                                                //
// ============================================================================ //
// LfVectorIO.h                                                                 //
// ============================================================================ //
//                                                                              //
// The contents of this file are subject to the Lightflow Rendering Interface   //
// License (the License); you may not use this file except in compliance with   //
// the License. You may obtain a copy of the License by sending an email at     //
// jp@lightflowtech.com with subject LRI-LICENSE.                               //
//                                                                              //
// ============================================================================ //
// Copyright (c) 1995-2000 by Marco and Jacopo Pantaleoni. All rights reserved. //
// ============================================================================ //

#ifndef _LfVectorIO_h
#define _LfVectorIO_h 1

#include <WWW/LfVector.h>
#include <WWW/LfStdIO.h>


LfAPI_CS ostream& operator<< ( ostream& s, LfVector2 v);
LfAPI_CS ostream& operator<< ( ostream& s, LfVector3 v);
LfAPI_CS ostream& operator<< ( ostream& s, LfVector4 v);

LfAPI_CS istream& operator>> ( istream& s, LfVector2& v);
LfAPI_CS istream& operator>> ( istream& s, LfVector3& v);
LfAPI_CS istream& operator>> ( istream& s, LfVector4& v);

LfAPI_CS ostream& operator<< ( ostream& s, LfMatrix2 m);
LfAPI_CS ostream& operator<< ( ostream& s, LfMatrix3 m);
LfAPI_CS ostream& operator<< ( ostream& s, LfMatrix4 m);
LfAPI_CS ostream& operator<< ( ostream& s, LfTransform t);

LfAPI_CS istream& operator>> ( istream& s, LfMatrix2& m);
LfAPI_CS istream& operator>> ( istream& s, LfMatrix3& m);
LfAPI_CS istream& operator>> ( istream& s, LfMatrix4& m);
LfAPI_CS istream& operator>> ( istream& s, LfTransform& t);


LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfVector2 v);
LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfVector3 v);
LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfVector4 v);

LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfVector2& v);
LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfVector3& v);
LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfVector4& v);

LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfMatrix2 m);
LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfMatrix3 m);
LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfMatrix4 m);
LfAPI_CS LfOAStream& operator<< ( LfOAStream& s, LfTransform t);

LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfMatrix2& m);
LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfMatrix3& m);
LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfMatrix4& m);
LfAPI_CS LfIAStream& operator>> ( LfIAStream& s, LfTransform& t);


LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfVector2 v);
LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfVector3 v);
LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfVector4 v);

LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfVector2& v);
LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfVector3& v);
LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfVector4& v);

LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfMatrix2 m);
LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfMatrix3 m);
LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfMatrix4 m);
LfAPI_CS LfOBStream& operator<< ( LfOBStream& s, LfTransform t);

LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfMatrix2& m);
LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfMatrix3& m);
LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfMatrix4& m);
LfAPI_CS LfIBStream& operator>> ( LfIBStream& s, LfTransform& t);


#endif /* _LfLfVectorIO_h */
